org.apache.fop.render.rtf

## Interface RTFEventProducer

-     public interface RTFEventProducer

  Event producer interface for events generated by the RTF renderer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `RTFEventProducer.Provider` Provider class for the event producer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `explicitTableColumnsRequired(java.lang.Object source, org.xml.sax.Locator loc)` The RTF handler requires explicit table-columns for now.
    `void` | `ignoredDeferredEvent(java.lang.Object source, FONode node, boolean start, org.xml.sax.Locator loc)` The RTF handler ignored some deferred event (i.e.
    `void` | `noSPMFound(java.lang.Object source, org.xml.sax.Locator loc)` No simple-page-master could be determined-
    `void` | `onlySPMSupported(java.lang.Object source, java.lang.String masterReference, org.xml.sax.Locator loc)` The RTF handler only supports simple-page-masters.

- - ### Method Detail

    - #### onlySPMSupported

          void onlySPMSupported(java.lang.Object source,
                                java.lang.String masterReference,
                                org.xml.sax.Locator loc)

      The RTF handler only supports simple-page-masters.
      Parameters:
        `source` - the event source
        `masterReference` - the reference page-master-set
        `loc` - the location of the error or null
      Event severity level:
        WARN

    - #### noSPMFound

          void noSPMFound(java.lang.Object source,
                          org.xml.sax.Locator loc)

      No simple-page-master could be determined-
      Parameters:
        `source` - the event source
        `loc` - the location of the error or null
      Event severity level:
        WARN

    - #### explicitTableColumnsRequired

          void explicitTableColumnsRequired(java.lang.Object source,
                                            org.xml.sax.Locator loc)

      The RTF handler requires explicit table-columns for now.
      Parameters:
        `source` - the event source
        `loc` - the location of the error or null
      Event severity level:
        WARN

    - #### ignoredDeferredEvent

          void ignoredDeferredEvent(java.lang.Object source,
                                    FONode node,
                                    boolean start,
                                    org.xml.sax.Locator loc)

      The RTF handler ignored some deferred event (i.e. an unsupported element).
      Parameters:
        `source` - the event source
        `node` - the FO tree node being ignored
        `start` - true for start, false for end
        `loc` - the location of the error or null
      Event severity level:
        WARN

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.